<!DOCTYPE html>
<html lang="en" dir="ltr" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>Safety Car</title>
    <link rel="icon" type="image/x-icon" th:href="@{/assets/img/favicon.ico}" href="../static/assets/img/favicon.ico"/>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
            th:src="@{https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js}"></script>

    <script src="https://use.fontawesome.com/releases/v5.13.0/js/all.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" th:href="@{https://fonts.googleapis.com/css?family=Merriweather+Sans:400,700}"/>
    <link rel="stylesheet" type="text/css"
          th:href="@{https://fonts.googleapis.com/css?family=Merriweather:400,300,300italic,400italic,700,700italic}"/>
    <link rel="stylesheet"
          th:href="@{https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css}"/>
    <link rel="stylesheet" th:href="@{https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/my-policies.css}" href="../static/css/my-policies.css"/>
    <link rel="stylesheet" th:href="@{/css/requset-offer.css.css}" href="../static/css/request-policy.css"/>
    <link rel="stylesheet" th:href="@{/css/navigation.css}" href="../static/css/navigation.css">

</head>
<body>
<div th:replace="fragments/navigation-bar.html :: header"></div>

<header class="masthead">
    <div class="container h-100">
        <div class="row h-100 align-items-center justify-content-center text-center">
            <div class="col-lg-10 align-self-end">
                <h1 class="text-uppercase text-white font-weight-bold">Request a policy</h1>
                <hr class="divider my-4"/>
            </div>
            <div class="col-lg-8 align-self-baseline">
                <p class="text-white-75 font-weight-light mb-5">We need a few more details from you. Please fill out the
                    form below!</p>
            </div>
        </div>
    </div>
</header>

<h1 class="mb-5 text-center mt-5" th:object="${policy}"
    th:text="'Policy #' + ${policy.id} + '/ saved ' +
                    ${policy.savedDate.toString().replace('.0', '').replace(' ', ' at ')}">Policy
    #1234/ 12-10-2020</h1>
<div class="row">
    <div class="col-lg-4">

        <form class="m-5 mt-0" th:object="${policy}">
            <h4 class="mb-4 mt-2 text-black-50">Your initial offer</h4>
            <h6 class="m-1 mb-3 text-black-50" th:text="'Car: ' + ${policy.car.model.brand.name} + ' ' +
                ${policy.car.model.name}">Car: Audi A3</h6>
            <h6 class="m-1 mb-3 text-black-50" th:text="'Registration number: ' + ${policy.car.registrationNumber}">
                Registration number: CO1253TA</h6>
            <h6 class="m-1 mb-3 text-black-50" th:text="'Cubic capacity: ' + ${policy.car.cubicCapacity} ">Cubic
                capacity:
                12345</h6>
            <h6 class="m-1 mb-3 text-black-50" th:text="'Registration date: ' + ${policy.car.registrationDate}">
                Registration date: 2019-07-15</h6>
            <h6 class="m-1 mb-3 text-black-50" th:if="${policy.owner.hasAccident} == true">
                Prevoius accidents: yes</h6>
            <h6 class="m-1 mb-3 text-black-50" th:unless="${policy.owner.hasAccident} == true">
                Prevoius accidents: no</h6>
            <h6 class="m-1 mb-3 text-black-50" th:text="'Your email: ' + ${policy.owner.username}">
                Email: email@email.com</h6>
            <h6 class="m-1 mb-3 text-black-50" th:text="'Your birth date: ' + ${policy.owner.birthDate}">
                Your birth date: 18.09.1988</h6>
            <div class="form-row mb-3">

                <h5 class="ml-1 mb-4 mt-3 text-black-50 font-weight-bold"
                    th:text="*{'Total premium: '+ premiumAmount + ' BGN'}">Total
                    premium:
                    1234 BGN</h5>

            </div>
        </form>
    </div>

    <div class="col-lg-8">
        <form class="m-5 mt-0" th:object="${policyRequestDTO}" method="post" enctype="multipart/form-data"
              th:action="@{/policy/request}">
            <h4 class="mb-4 mt-2">Additional information needed</h4>
            <input th:field="*{id}" type="hidden">
            <p class="text-body font-weight-bold text-black-50">About your car</p>
            <div class="form-row mb-2">
                <div class="form-group col-md-9">
                    <div class="custom-file mb-3">
                        <input name="file" type="file" class="custom-file-input" id="file" required>
                        <label class="custom-file-label" for="file">Upload registration
                            certificate
                            image</label>
                        <div id="file-upload-filename" class="mt-1"></div>
                        <script>
                            var input = document.getElementById('file');
                            var infoArea = document.getElementById('file-upload-filename');
                            input.addEventListener('change', showFileName);

                            function showFileName(event) {
                                var input = event.srcElement;
                                var fileName = input.files[0].name;
                                infoArea.textContent = 'Uploaded file: ' + fileName;
                            }
                        </script>

                    </div>
                </div>
            </div>

            <p class="text-body font-weight-bold text-black-50">About you</p>
            <div class="form-row">
                <div class="form-group col-md-3 mb-2">
                    <label for="firstName">First name</label>
                    <input required th:field="*{firstName}" th:value="*{firstName}" class="form-control"
                           id="firstName"
                           placeholder="John">
                </div>
                <div class="form-group col-md-3 mb-2">
                    <label for="lastName">Last name</label>
                    <input required th:field="*{lastName}" th:value="*{lastName}" class="form-control"
                           id="lastName"
                           placeholder="Smith">
                </div>
                <div class="form-group col-md-3 mb-2">
                    <label for="phone">Phone</label>
                    <input th:field="*{phone}" th:value="*{phone}" class="form-control" id="phone"
                           placeholder="0888111222" required>
                    <label class="text-danger" th:errors="*{phone}"></label>
                </div>
            </div>
            <div class="form-row mt-0 pt-0">
                <div class="form-group col-md-3">
                    <label for="country">Country</label>
                    <select th:field="*{countryId}" class="form-control" id="country" required>
                        <option value="0">Country</option>
                        <option th:each="country : ${countries}" th:value="${country.id}"
                                th:text="${country.name}">
                        </option>
                    </select>
                </div>
                <div class="form-group col-md-3">
                    <label for="district">District</label>
                    <select th:field="*{districtId}" class="form-control" id="district" required>
                        <script th:inline="javascript" type="text/javascript">
                            $(document).ready(function () {
                                $('#country').change(
                                    function () {
                                        $.getJSON('/api/v1/district', {
                                            countryId: $(this).val(),
                                            ajax: 'true'
                                        }, function (data) {
                                            var html = '<option value="">District</option>';
                                            var len = data.length;
                                            for (var i = 0; i < len; i++) {
                                                html += '<option value="' + data[i].id + '">'
                                                    + data[i].name + '</option>';
                                            }
                                            html += '</option>';

                                            $('#district').html(html);
                                            $("#district").trigger('contentChanged');
                                        });
                                    });
                                $("#country").trigger('change');

                                var countryId = /*[[${policyRequestDTO.countryId}]]*/ 'default';
                                var districtId = /*[[${policyRequestDTO.districtId}]]*/ 'default';
                                var cityId = /*[[${policyRequestDTO.cityId}]]*/ 'default';

                                if (cityId !== 'default') {
                                    $.getJSON('/api/v1/district', {
                                        countryId: countryId,
                                        ajax: 'true'
                                    }, function (data) {
                                        var html = '<option value="">District</option>';
                                        var len = data.length;
                                        for (var i = 0; i < len; i++) {
                                            html += '<option';
                                            if (districtId == data[i].id) {
                                                html += ' selected="true" '
                                            }
                                            html += 'value="' + data[i].id + '">' + data[i].name + '</option>';
                                        }
                                        html += '</option>';

                                        $('#district').html(html);
                                    });
                                    $("#district").trigger('change');
                                    $("#district").val(+districtId);


                                    $.getJSON('/api/v1/city', {
                                        districtId: districtId,
                                        ajax: 'true'
                                    }, function (data) {
                                        var html = '<option value="">City</option>';
                                        var len = data.length;
                                        for (var i = 0; i < len; i++) {
                                            html += '<option';
                                            if (cityId == data[i].id) {
                                                html += ' selected="true" '
                                            }
                                            html += 'value="' + data[i].id + '">' + data[i].name + '</option>';
                                        }

                                        html += '</option>';

                                        $('#city').html(html);
                                    });
                                    $("#city").val(+cityId);
                                    $("#city").trigger('change');

                                }

                            });
                        </script>
                    </select>
                    <div th:errors="${policyRequestDTO}"></div>
                </div>
                <div class="form-group col-md-3">
                    <label for="city">City</label>
                    <select th:field="*{cityId}" class="form-control" id="city" required>
                        <script th:inline="javascript" type="text/javascript">
                            $(document).ready(function () {
                                $('#district').change(
                                    function () {
                                        $.getJSON('/api/v1/city', {
                                            districtId: $(this).val(),
                                            ajax: 'true'
                                        }, function (data) {
                                            var html = '<option value="">City</option>';
                                            var len = data.length;
                                            for (var i = 0; i < len; i++) {
                                                html += '<option value="' + data[i].id + '">'
                                                    + data[i].name + '</option>';
                                            }
                                            html += '</option>';

                                            $('#city').html(html);
                                            $("#city").trigger('contentChanged');
                                        });
                                    });
                                $("#district").trigger('change');

                            });
                        </script>
                    </select>
                </div>
            </div>
            <div class="form-row mb-3">
                <div class="form-group col-md-9">
                    <label for="address">Address</label>
                    <input required th:field="*{postalAddress}" th:value="*{postalAddress}" class="form-control"
                           id="address"
                           placeholder="Example Str. 88">
                    <div class="text-danger" th:errors="*{postalAddress}"></div>
                </div>
            </div>

            <p class="text-body font-weight-bold text-black-50">About your policy</p>
            <div class="form-row mb-3">
                <div class="form-group col-md-4">
                    <label for="startDate">Start date</label>
                    <input required th:field="*{startDate}" type="date" class="form-control" id="startDate">
                    </input>
                    <!--                        script that sets min date to 3 days from today: -->
                    <script>
                        var today = new Date();
                        var dd = today.getDate() + 3;
                        var mm = today.getMonth() + 1;
                        var yyyy = today.getFullYear();
                        if (dd < 10) {
                            dd = '0' + dd
                        }
                        if (mm < 10) {
                            mm = '0' + mm
                        }

                        today = yyyy + '-' + mm + '-' + dd;
                        document.getElementById("startDate").setAttribute("min", today);
                    </script>
                </div>
                <div class="form-group col-md-4">
                    <label for="payment-method">Payment method</label>
                    <select required th:field="*{paymentMethodId}" id="payment-method" class="form-control mr-sm-2">
                        <option th:value="1">Prepaid</option>
                        <option th:value="2">Extended</option>
                    </select>

                </div>
                <b>*Please note that choosing extended payment method will increase the initial cost of your policy with
                    10%!</b>

                <div class="form-group col-md-5 text-right">
                    <button th:if="*{validAccidentsInput}" type="submit" class="btn btn-primary mt-4 mb-0 btn-lg">Request policy</button>
                    <button th:unless="*{validAccidentsInput}" type="submit"
                            class="btn btn-primary mt-4 mb-0 btn-lg" disabled
                            title="Invalid accidents history, please update it in order to proceed">Request policy</button>
                </div>
            </div>
        </form>
    </div>
</div>


<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js"></script>
<script type="text/javascript" th:src="@{/js/scripts.js}" src="../static/js/scripts.js"></script>
</body>
</html>
